> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sacra.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get funding rounds for a company

> Returns the full funding round history for a company, including round type, share details, and citation sources.

Identify the company by `company_domain` or `company_id` (at least one required).



## OpenAPI

````yaml GET /api/v1/funding-rounds/
openapi: 3.0.3
info:
  title: Sacra API
  version: 1.0.0
  description: >-
    The Sacra API currently supports querying News, Documents, Companies and
    Categories that enable you to use Sacra research within your own
    application.


    ## **Getting started guide**


    To start using the APIs, you need to:


    - Only available to **Platforms** and **Funds** tier members. (See
    [here](https://sacra.com/pricing/))
        
    - You must use a valid API Key to send requests to the API endpoints. You
    can generate your API key in the Api Keys section of your [Organization
    Settings](https://sacra.com/orgs/settings/general/).
        
    - The API returns request responses in JSON format. When an API request
    returns an error, it is sent in the JSON response as an error key.
        

    ## Authentication


    The Sacra API uses Tokens for authentication.


    You can generate a Sacra API Key/Token in the Api Keys section of your
    [Organization Settings](https://sacra.com/orgs/settings/general/).


    You must include an API Key/Token in each request to the Sacra API with the
    **Authorization** request header.


    ### Authentication error response


    If a Token is missing, malformed, or invalid, you will receive an HTTP 401
    Unauthorized response code.


    ### **Need some help?**


    In case you have questions, we will eventually provide tutorials and a FAQ
    page. But for now you can check out the
    [#developers](https://discord.gg/mTswyV8gg3) channel in our community
    [Discord](https://discord.gg/mTswyV8gg3), there’s a good chance our
    community has an answer for you.


    ## Authorization


    | **Key** | **Value** |

    | --- | --- |

    | Authorization | Token {{API_KEY}} |
servers:
  - url: https://sacra.com
    description: Production
security: []
tags:
  - name: Companies
  - name: Categories
  - name: Events
  - name: News
  - name: Documents
  - name: Filings
  - name: Embeds
  - name: Metrics
  - name: Funding (Legacy)
paths:
  /api/v1/funding-rounds/:
    get:
      tags:
        - Funding (Legacy)
      summary: Get funding rounds for a company
      description: >-
        Returns the full funding round history for a company, including round
        type, share details, and citation sources.


        Identify the company by `company_domain` or `company_id` (at least one
        required).
      operationId: funding_rounds_retrieve
      parameters:
        - in: query
          name: company_domain
          schema:
            type: string
          description: Company domain to look up
        - in: query
          name: company_id
          schema:
            type: string
          description: Company ID to look up
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FundingRoundsResponse'
              examples:
                WithFundingRounds:
                  value:
                    id: 260
                    name: Anduril
                    domain: anduril.com
                    funding_rounds:
                      - round_name: Series F
                        share_details:
                          - name: Series F
                            issue_price: '21.7400'
                            issued_at: '2024-06-30'
                            updated_at: '2024-10-15T00:30:55.580937Z'
                          - name: Series F-1
                            issue_price: '17.3900'
                            issued_at: '2024-06-30'
                            updated_at: '2024-10-15T00:31:02.327984Z'
                        citations:
                          - type: certificate-of-incorporation
                            url: >-
                              https://sacra-pdfs.s3.us-east-2.amazonaws.com/anduril-industries-inc-restated-coi.pdf
                            updated_at: '2024-10-15T00:31:26.448Z'
                      - round_name: Series A
                        share_details:
                          - name: Series A
                            issue_price: '1.1700'
                            issued_at: '2018-05-31'
                            updated_at: '2024-10-15T00:31:01.246749Z'
                        citations:
                          - type: certificate-of-incorporation
                            url: >-
                              https://sacra-pdfs.s3.us-east-2.amazonaws.com/anduril-industries-inc-restated-coi.pdf
                            updated_at: '2024-10-15T00:31:26.448Z'
                NoFundingRounds:
                  value:
                    id: 515
                    name: Prequel
                    domain: prequel.co
                    funding_rounds: []
          description: Funding round history for the company.
        '400':
          content:
            text/plain:
              schema:
                type: string
                example: company_domain attribute is not a valid URL.
          description: Missing required parameter or invalid domain.
        '404':
          content:
            text/plain:
              schema:
                type: string
                example: Company not found.
          description: Company not found.
      deprecated: true
      security:
        - SacraAPIAuthentication: []
components:
  schemas:
    FundingRoundsResponse:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        domain:
          type: string
        funding_rounds:
          type: array
          items:
            $ref: '#/components/schemas/FundingRound'
      required:
        - domain
        - funding_rounds
        - id
        - name
    FundingRound:
      type: object
      properties:
        round_name:
          type: string
        share_details:
          type: array
          items:
            $ref: '#/components/schemas/FundingRoundShareDetail'
        citations:
          type: array
          items:
            $ref: '#/components/schemas/FundingRoundCitation'
      required:
        - citations
        - round_name
        - share_details
    FundingRoundShareDetail:
      type: object
      properties:
        name:
          type: string
        issue_price:
          type: string
        issued_at:
          type: string
        updated_at:
          type: string
          format: date-time
      required:
        - issue_price
        - issued_at
        - name
        - updated_at
    FundingRoundCitation:
      type: object
      properties:
        type:
          type: string
        url:
          type: string
        updated_at:
          type: string
          format: date-time
      required:
        - type
        - updated_at
        - url
  securitySchemes:
    SacraAPIAuthentication:
      type: apiKey
      in: header
      name: Authorization
      description: |-
        Authenticate using one of two formats:

        - **Organization/user token:** `Token <your-token>`
        - **Stytch JWT:** `Bearer <your-jwt>`

````